Bug 67783 - IBM ServeRAID driver in kernel-source-2.4.18-5 make a link error
Summary: IBM ServeRAID driver in kernel-source-2.4.18-5 make a link error
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-01 23:57 UTC by Le Tanou Jerome
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 18:57:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Le Tanou Jerome 2002-07-01 23:57:32 UTC
Description of problem:
When we try to buil the kernel with enabling IBM ServeRaid built-in support, 
we've got a link error.

Version-Release number of selected component (if applicable):
kernel-source-2.4.18-5

How reproducible:
Always

Steps to Reproduce:
1.Build the kernel from kernel-source-2.4.18-5 with enabling IBM ServeRaid 
built-in support
2.
3.
	

Actual Results: 
[root@arum linux-2.4]# make dep;make clean;make bzImage;
...
kallsyms pass 1
ld -m elf_i386 -T /usr/src/linux-2.4.18-5/arch/i386/vmlinux.lds -e stext 
arch/i386/kernel/head.o arch/i386/kernel/init_task.o init/main.o 
init/version.o init/do_mounts.o --start-group arch/i386/kernel/kernel.o 
arch/i386/mm/mm.o kernel/kernel.o mm/mm.o fs/fs.o ipc/ipc.o  
drivers/char/char.o drivers/block/block.o drivers /misc/misc.o 
drivers/net/net.o drivers/media/media.o drivers/ide/idedriver.o 
drivers/scsi/scsidrv.o drivers/cdrom/driver.o drivers/pci/driver.o 
drivers/video/video.o net/network.o abi/abi.o /usr/src/linux-2.4.18-
5/arch/i386/lib/lib.a /usr/src/linux-2.4.18-5/lib/lib.a /usr/src/linux-2.4.18-
5/arch/i386/lib/lib.a --end-group -o .tmp_vmlinux1
drivers/scsi/scsidrv.o(.data+0x1a14): undefined reference to `local symbols in 
discarded section .text.exit'
make[1]: *** [kallsyms] Error 1
make[1]: Leaving directory `/usr/src/linux-2.4.18-5'
make: *** [vmlinux] Error 2
[root@arum linux-2.4]#

Comment 1 Arjan van de Ven 2003-06-07 18:57:14 UTC
fixed in current erratum


Note You need to log in before you can comment on or make changes to this bug.